<template>
  <div>
    <el-descriptions class="margin-top" :column="1" border>
      <el-descriptions-item label="职位收藏数量">{{ info.position || 0 }}</el-descriptions-item>
      <el-descriptions-item label="企业收藏数量">{{ info.enterprise || 0 }}</el-descriptions-item>
    </el-descriptions>
  </div>
</template>

<script setup>
/* 职位、企业收藏数量 */
defineOptions({ name: 'PersonAccount'})
import { PersonInfoApi } from '@/api/menduner/system/person'
import { formatDate } from '@/utils/formatTime'
import { DICT_TYPE } from '@/utils/dict'

const props = defineProps({
  userId: String
})

const info = ref({
  position: 0,
  enterprise: 0
})
const getInfo = async () => {
  info.value.position = await PersonInfoApi.getPersonJobFavoriteCount(props.userId)
  info.value.enterprise = await PersonInfoApi.getPersonEnterpriseSubscribeCount(props.userId)
}
getInfo()
</script>
